summaryrefslogtreecommitdiffstats
path: root/games/connectagram
diff options
context:
space:
mode:
author David Spencer <idlemoor@slackbuilds.org>2016-12-05 23:16:48 +0000
committer David Spencer <idlemoor@slackbuilds.org>2016-12-10 00:57:38 +0000
commita14ea7e0fd3ed78574deb1ad160bc405722857b4 (patch)
treedf700d6a9b3d66effd3a245e6fabdb3add632dc3 /games/connectagram
parent6a35afe0a979970db6142ff382a7036ab81e61b4 (diff)
downloadslackbuilds-a14ea7e0fd3ed78574deb1ad160bc405722857b4.tar.gz
slackbuilds-a14ea7e0fd3ed78574deb1ad160bc405722857b4.tar.xz
games/connectagram: Compress manpages.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/connectagram')
-rw-r--r--games/connectagram/connectagram.SlackBuild7
1 files changed, 7 insertions, 0 deletions
diff --git a/games/connectagram/connectagram.SlackBuild b/games/connectagram/connectagram.SlackBuild
index 608eb11989..7bd504f32a 100644
--- a/games/connectagram/connectagram.SlackBuild
+++ b/games/connectagram/connectagram.SlackBuild
@@ -81,6 +81,13 @@ CFLAGS="$SLKCFLAGS" make
make install
cd ..
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
cp -a ChangeLog COPYING CREDITS INSTALL \
$PKG/usr/doc/$PRGNAM-$VERSION/